%define name	gnome-sensors-applet
%define version 2.2.6
%define release %mkrel 1
%define __libtoolize    /bin/true

Summary: 	Detailed hardware monitoring applet for GNOME2
Summary(de):	Detalliertes Hardware Monitoring Applet für Gnome2
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		sensors-applet-%{version}.tar.xz
Patch0:		sensors-applet-2.2.5-fixlibdir.patch
URL:		http://sensors-applet.sourceforge.net/
License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpanel-applet-2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:	libnotify-devel
BuildRequires:  scrollkeeper
BuildRequires:  gnome-doc-utils
BuildRequires:  libxslt-proc
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Obsoletes: %name < %version



%description
GNOME Sensors Applet is an applet for the GNOME Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds and
voltage readings under Linux.

Interfaces via the Linux kernel i2c modules.

#german
%description -l de
Das Miniprogramm GNOME-Sensors ist ein Applet für das GNOME-Kontrollfeld, 
welches Informationen von Hardware-Sensoren wie 
Temperatur, Lüftergeschwindigkeiten und Spannungswerte anzeigt.

Schnittstelle dank des Linux Kernel i2c Module. 

%package devel
Group:	Development/GNOME and GTK+
Summary: Development files for gnome-sensors-applet
Summary(de): Entwickler Dateien für %{name}
Requires: %name = %version

%description devel
This package contains development files for gnome-sensors-applet.

#german
%description devel -l de
Das Paket beinhaltet die Entwickler Dateien für %{name}.


%prep
%setup -q -n sensors-applet-%version
%patch0 -p1 -b .fixlibdir

%build
%configure2_5x \
      --disable-scrollkeeper \
      --enable-libnotify 

%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/sensors-applet/plugins
%makeinstall_std


%find_lang sensors-applet

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_scrollkeeper

%postun
%clean_icon_cache hicolor
%clean_scrollkeeper

%files -f sensors-applet.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/sensors-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/sensors-applet
%dir %{_datadir}/omf/sensors-applet
%{_datadir}/omf/sensors-applet/*-C.omf
%_datadir/icons/hicolor/*/*/*.png
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir/sensors-applet/*.h
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%changelog
* Wed Jun 16 2010 slick50 <lxgator@gmail.com> 2.2.6-1pclos2010
- 2.2.6

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 2.2.5-2pclos2010
- rebuild

* Sat Nov 21 2009 slick50 <lxgator@gmail.com> 2.2.5-1pclos2010
- 2.2.5

* Fri Apr 17 2009 slick50 <lxgator@gmail.com> 2.2.2-1pclos2007
- 2.2.2

* Fri Oct 31 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.2.1-2pclos2007
- Rebuild

* Tue Apr 08 2008 don_crissti <don_crissti@gmx.com> 0.2.2-1pclos2007
- build for PCLinuxOS

